<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

use Behat\Transliterator\Transliterator;

class Slugify implements TransformerInterface
{
    public function getType(): string
    {
        return 'slugify';
    }

    public function execute($data)
    {
        $slug = Transliterator::transliterate(str_replace('\'', '-', trim((string) $data)));

        return substr($slug, 0, 254);
    }
}
